<template>
  <div style="padding-top: 0px">
    <q-page>
      <q-card padding class="absolute-center bg-green-4 transparent" style="height: 80%; width: 80%; padding-top: 50px">
      <ul style="justify-text-center" padding v-if="mobile_phones && mobile_phones.length">
        <li v-for="mobile_phone of mobile_phones" :key="mobile_phone.name">
          <p><strong>{{mobile_phone.name}}</strong></p>
          <p>{{mobile_phone.description}}</p>
          <p>{{mobile_phone.Brand}}</p>
          <p>{{mobile_phone.serial_number}}</p>
          <p>{{mobile_phone.model}}</p>
          <p>{{mobile_phone.acquisition_cost}}</p>
          <p>{{mobile_phone.acquisition_date}}</p>
          <p>{{mobile_phone.status}}</p>
          <p>sample</p>
        </li>
      </ul>

      <ul v-if="errors && errors.length">
        <li v-for="error of errors" :key="error.message">
          {{error.message}}
        </li>
      </ul>
    </q-card>
    </q-page>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      laptops: [],
      mobile_phones: [],
      desks: [],
      printers: [],
      errors: []
    }
  },

  // Fetches posts when the component is created.

  async created () {
    // axios.get('http://localhost:1337/mobiles')
    //   .then(response => {
    //     // JSON responses are automatically parsed.
    //     this.mobiles = response.data
    //   })
    //   .catch(e => {
    //     this.errors.push(e)
    //   })
    // async / await version (created() becomes async created())
    try {
      const response = await axios.get('http://localhost:1337/mobile-phones')
      this.mobile_phones = response.data
    } catch (e) {
      this.errors.push(e)
    }
  }
}
</script>
